<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright (C) 2001 ContentGuard Holdings, Inc. All rights reserved. "ContentGuard" is a registered trademark and "XrML", "eXtensible rights Markup Language", the XrML logo, and the ContentGuard logo are trademarks of ContentGuard Holdings, Inc. All other trademarks are properties of their respective owners. -->
<!--

Notes:

    &#160; is the non breaking space; see http://www.w3.org/TR/html4/struct/text.html#h-9.3.2.2
    This was upgraded from the 1998 XSL, which used textual order for prioritization. We're still probably missing some 'priority' attributes on templates.


-->

<xsl:stylesheet 
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
        xmlns:dsig="http://www.w3.org/2000/09/xmldsig#"
        xmlns:msxsl="urn:schemas-microsoft-com:xslt"
        xmlns:clickable="urn:uuid:C494B210-9EBA-4fab-84B6-1450C43ACF33"
        version="1.0">

    <xsl:output method="html"/>

    <!-- DOCTYPE declaration -->
    <!--
    <xsl:template match="node()[nodeType()=10]">
        <DIV class="e"><SPAN>
        <SPAN class="b">&#160;</SPAN>
        <SPAN class="doctype">&lt;!DOCTYPE <xsl:value-of select="name()"/><I> (View Source for full doctype...)</I>&gt;</SPAN>
        </SPAN></DIV>
    </xsl:template> -->

    <!-- Processing instructions of various sorts -->
    <xsl:template match="processing-instruction()">
        <DIV class="e">
        <SPAN class="b">&#160;</SPAN>
        <SPAN class="m">&lt;?</SPAN><SPAN class="pi"><xsl:value-of select="name()"/><xsl:value-of select="."/></SPAN><SPAN class="m">?&gt;</SPAN>
        </DIV>
    </xsl:template>
    <xsl:template match="processing-instruction('xml')">
        <DIV class="e"><SPAN class="b">&#160;</SPAN><SPAN class="m">&lt;?</SPAN><SPAN class="pi">xml <xsl:for-each select="@*"><xsl:value-of select="name()"/>="<xsl:value-of select="."/>" </xsl:for-each></SPAN><SPAN class="m">?&gt;</SPAN></DIV>
    </xsl:template>

    <!-- Attributes -->
    <xsl:template match="@*" xml:space="preserve"><SPAN class="attrdecl"><xsl:attribute name="class">tag</xsl:attribute> <xsl:value-of select="name()"/></SPAN><SPAN class="m">="</SPAN><SPAN class="attr"><xsl:value-of select="."/></SPAN><SPAN class="m">"</SPAN></xsl:template>
    <xsl:template match="@xml:*">
        <SPAN class="nsdecl">&#160;<xsl:value-of select="name()"/></SPAN><SPAN class="m">="</SPAN><SPAN class="ns"><xsl:value-of select="."/></SPAN><SPAN class="m">"</SPAN>
    </xsl:template>

    <!-- Raw text gets expanded straight out -->
    <xsl:template match="text()">
        <DIV class="e"><SPAN class="b">&#160;</SPAN><SPAN class="tx"><xsl:value-of select="."/></SPAN></DIV>
    </xsl:template>

    <!-- Comments in the XML: we omit -->
    <xsl:template match="comment()">
        <!--
        <DIV class="k">
            <SPAN><A class="b" onclick="return false" onfocus="h()" STYLE="visibility:hidden">-</A> <SPAN class="m">&lt;!- -</SPAN></SPAN>
            <SPAN id="clean" class="ci"><pre><xsl:value-of select="."/></pre></SPAN>
            <SPAN class="b">&#160;</SPAN> <SPAN class="m">- -&gt;</SPAN>
            <SCRIPT>f(clean);</SCRIPT>
        </DIV>
        -->
    </xsl:template>

    <!-- a node with no child nodes or attributes -->
    <xsl:template match="*">
        <DIV class="e">
            <DIV STYLE="margin-left:1em;text-indent:-2em">
            <SPAN class="b">&#160;</SPAN>
            <SPAN class="m">&lt;</SPAN><SPAN><xsl:attribute name="class">tag</xsl:attribute><xsl:value-of select="name()"/></SPAN><SPAN class="m">/&gt;</SPAN>
            </DIV>
        </DIV>
    </xsl:template>

    <!-- a node with no child nodes but with some attributes -->
    <xsl:template match="*[@*]">
        <DIV class="e">
            <DIV STYLE="margin-left:1em;text-indent:-2em">
            <SPAN class="b">&#160;</SPAN>
            <SPAN class="m">&lt;</SPAN><SPAN><xsl:attribute name="class">tag</xsl:attribute><xsl:value-of select="name()"/></SPAN> <xsl:apply-templates select="@*"/><SPAN class="m">/&gt;</SPAN>
            </DIV>
        </DIV>
    </xsl:template>

    <!-- ??? -->
    <xsl:template match="*[node()]">
        <DIV class="e">
            <DIV class="c"><A href="#" onclick="return false" onfocus="h()" class="b">-</A> <SPAN class="m">&lt;</SPAN><SPAN><xsl:attribute name="class">tag</xsl:attribute><xsl:value-of select="name()"/></SPAN><xsl:apply-templates select="@*"/> <SPAN class="m">&gt;</SPAN></DIV>
            <DIV><xsl:apply-templates/>
            <DIV><SPAN class="b">&#160;</SPAN> <SPAN class="m">&lt;/</SPAN><SPAN><xsl:attribute name="class">tag</xsl:attribute><xsl:value-of select="name()"/></SPAN><SPAN class="m">&gt;</SPAN></DIV>
            </DIV>
        </DIV>
    </xsl:template>

    <!-- a node with generic text children -->
    <xsl:template match="*[text() and not(comment() or processing-instruction())]">
        <DIV class="e">
            <DIV STYLE="margin-left:1em;text-indent:-2em">
                <SPAN class="b">&#160;</SPAN> <SPAN class="m">&lt;</SPAN><SPAN><xsl:attribute name="class">tag</xsl:attribute><xsl:value-of select="name()"/></SPAN><xsl:apply-templates select="@*"/>
                <SPAN class="m">&gt;</SPAN><SPAN class="tx"><xsl:value-of select="."/></SPAN><SPAN class="m">&lt;/</SPAN><SPAN><xsl:attribute name="class">tag</xsl:attribute><xsl:value-of select="name()"/></SPAN><SPAN class="m">&gt;</SPAN>
            </DIV>
        </DIV>
    </xsl:template>

    <!-- all other nodes -->
    <xsl:template match="*[*]">
        <DIV class="e">
            <DIV class="c" STYLE="margin-left:1em;text-indent:-2em"><A href="#" onclick="return false" onfocus="h()" class="b">-</A> <SPAN class="m">&lt;</SPAN><SPAN><xsl:attribute name="class">tag</xsl:attribute><xsl:value-of select="name()"/></SPAN><xsl:apply-templates select="@*"/> <SPAN class="m">&gt;</SPAN></DIV>
            <DIV><xsl:apply-templates/>
                <DIV><SPAN class="b">&#160;</SPAN> <SPAN class="m">&lt;/</SPAN><SPAN><xsl:attribute name="class">tag</xsl:attribute><xsl:value-of select="name()"/></SPAN><SPAN class="m">&gt;</SPAN></DIV>
            </DIV>
        </DIV>
    </xsl:template>

    <msxsl:script language="jscript" implements-prefix="clickable">
        function leftish(t)
        // Prune overly long strings
            {
            var cch; cch = 10;
            if (t.length &lt; cch)
                {
                return t;
                }
            else
                {
                return t.substring(0,cch - 1) + "...";
                }
            }
    </msxsl:script>

    <!-- ============================================== -->

</xsl:stylesheet>
