<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright (C) 2001 ContentGuard Holdings, Inc. All rights reserved. "ContentGuard" is a registered trademark and "XrML", "eXtensible rights Markup Language", the XrML logo, and the ContentGuard logo are trademarks of ContentGuard Holdings, Inc. All other trademarks are properties of their respective owners. -->
<!--

Renderings for examples and schemas.

-->

<xsl:stylesheet 
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
        xmlns:dsig="http://www.w3.org/2000/09/xmldsig#"
        xmlns:xrml2="http://www.xrml.org/schema/2002/05/xrml2core"
        xmlns:clickable="urn:uuid:C494B210-9EBA-4fab-84B6-1450C43ACF33"
        xmlns:xsd="http://www.w3.org/2001/XMLSchema" 
        version="1.0">

    <xsl:import href="clickable.xsl"/>
    
    <xsl:output method="html"/>

    <!-- we don't bother showing the value of certain namespace declarations -->
    <xsl:template match="@xmlns:dsig" priority="2">
        <SPAN class="nsdecl"> <xsl:value-of select="name()"/></SPAN><SPAN class="m">="</SPAN><SPAN class="ns">...</SPAN><SPAN class="m">"</SPAN>
    </xsl:template>

    <!-- display dsig Modulus and SignatureValue as a truncated text node-->
    <xsl:template match="dsig:Modulus|dsig:SignatureValue" priority="2">
        <DIV class="e">
            <DIV STYLE="margin-left:1em;text-indent:-2em">
                <SPAN class="b">&#160;</SPAN> <SPAN class="m">&lt;</SPAN><SPAN><xsl:attribute name="class">tag</xsl:attribute><xsl:value-of select="name()"/></SPAN><xsl:apply-templates select="@*"/>
                <SPAN class="m">&gt;</SPAN><SPAN class="tx"><xsl:value-of select="clickable:leftish(string(.))"/></SPAN><SPAN class="m">&lt;/</SPAN><SPAN><xsl:attribute name="class">tag</xsl:attribute><xsl:value-of select="name()"/></SPAN><SPAN class="m">&gt;</SPAN>
            </DIV>
        </DIV>
    </xsl:template>

    <!-- display dsig Signature with the node collapsed -->
    <xsl:template match="dsig:Signature|xrml2:keyHolder|xrml2:inventory|xrml2:forAll" priority="2">
        <DIV class="e">
            <DIV class="c" STYLE="margin-left:1em;text-indent:-2em"><A href="#" onclick="return false" onfocus="h()" class="b">+</A> <SPAN class="m">&lt;</SPAN><SPAN><xsl:attribute name="class">tag</xsl:attribute><xsl:value-of select="name()"/></SPAN><xsl:apply-templates select="@*"/> <SPAN class="m">&gt;</SPAN></DIV>
            <DIV STYLE="display:none"><xsl:apply-templates/>
                <DIV><SPAN class="b">&#160;</SPAN> <SPAN class="m">&lt;/</SPAN><SPAN><xsl:attribute name="class">tag</xsl:attribute><xsl:value-of select="name()"/></SPAN><SPAN class="m">&gt;</SPAN></DIV>
            </DIV>
        </DIV>
    </xsl:template>

    <!-- for clarity don't bother showing the license ids -->
    <xsl:template match="@licenseId" priority="2"></xsl:template>


    <!-- We elide some verbose attributes in the interests of presentation -->
    <xsl:template match="@xmlns:*|@xmlns" priority="2">
        <SPAN class="nsdecl">&#160;<xsl:value-of select="name()"/></SPAN><SPAN class="m">="</SPAN><SPAN class="ns">...</SPAN><SPAN class="m">"</SPAN>
    </xsl:template>
    <xsl:template match="@xsi:schemaLocation"></xsl:template>
    
    <xsl:template match="xsd:annotation" priority="2"></xsl:template>
    
    <xsl:template match="xsd:documentation" priority="2"><xsl:value-of select="."></xsl:value-of></xsl:template>
    
</xsl:stylesheet>

